--- old/usr/src/man/man7i/quotactl.7i	Wed Sep 25 13:05:52 2019
+++ new/usr/src/man/man7i/quotactl.7i	Wed Sep 25 13:05:52 2019
@@ -1,243 +1,227 @@
-'\" te
 .\"  Copyright (c) 2004, Sun Microsystems, Inc.  All Rights Reserved
-.\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
-.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
-.\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH QUOTACTL 7I "Jun 14, 2004"
-.SH NAME
-quotactl \- manipulate disk quotas
-.SH SYNOPSIS
-.LP
-.nf
-#include <sys/fs/ufs_quota.h>
-int ioctl(int \fIfd\fR, Q_QUOTACTL, struct quotcl *\fIqp\fR)
-.fi
-
-.SH DESCRIPTION
-.sp
-.LP
-This \fBioctl()\fR call manipulates disk quotas. \fIfd\fR is the file
-descriptor returned by the \fBopen()\fR system call after opening the
-\fBquotas\fR file (located in the root directory of the filesystem running
-quotas.) \fBQ_QUOTACTL\fR is defined in \fB/usr/include/sys/fs/ufs_quota.h\fR.
-\fIqp\fR is the address of the \fBquotctl\fR structure which is defined as
-.sp
-.in +2
-.nf
+.\" Copyright (c) 2017, Joyent, Inc.
+.\" The contents of this file are subject to the terms of the
+.\" Common Development and Distribution License (the "License").
+.\" You may not use this file except in compliance with the License.
+.\"
+.\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+.\" or http://www.opensolaris.org/os/licensing.
+.\" See the License for the specific language governing permissions
+.\" and limitations under the License.
+.\"
+.\" When distributing Covered Code, include this CDDL HEADER in each
+.\" file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+.\" If applicable, add the following below this CDDL HEADER, with the
+.\" fields enclosed by brackets "[]" replaced with your own identifying
+.\" information: Portions Copyright [yyyy] [name of copyright owner]
+.Dd October 28, 2017
+.Dt QUOTACTL 7I
+.Os
+.Sh NAME
+.Nm quotactl
+.Nd manipulate disk quotas
+.Sh SYNOPSIS
+.In sys/fs/ufs_quota.h
+.Fn "int ioctl" "int fd" "Q_QUOTACTL" "struct quotctl *qp"
+.Sh DESCRIPTION
+This
+.Fn ioctl
+call manipulates disk quotas.
+.Fa fd
+is the file descriptor returned by the
+.Xr open 2
+system call after opening the
+.Pa quotas
+file (located in the root directory of the filesystem running quotas).
+.Dv Q_QUOTACTL
+is defined in
+.Pa /usr/include/sys/fs/ufs_quota.h .
+.Fa qp
+is the address of the
+.Vt quotctl
+structure which is defined as
+.Bd -literal -offset 2n
 struct quotctl {
   int op;
   uid_t uid;
   caddr_t addr;
 };
-.fi
-.in -2
-
-.sp
-.LP
-\fIop\fR indicates an operation to be applied to the user \fBID\fR \fIuid\fR.
-(See below.) \fIaddr\fR is the address of an optional, command specific, data
-structure which is copied in or out of the system. The interpretation of
-\fIaddr\fR is given with each value of \fIop\fR below.
-.sp
-.ne 2
-.na
-\fB\fBQ_QUOTAON\fR\fR
-.ad
-.RS 14n
-Turn on quotas for a file system. \fIaddr\fR points to the full pathname of the
-\fBquotas\fR file. \fIuid\fR is ignored. It is recommended that \fIuid\fR have
-the value of \fB0\fR. This call is restricted to the super-user.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQ_QUOTAOFF\fR\fR
-.ad
-.RS 14n
-Turn off quotas for a file system. \fIaddr\fR and \fIuid\fR are ignored. It is
-recommended that \fIaddr\fR have the value of \fINULL\fR and \fIuid\fR have the
-value of \fB0\fR. This call is restricted to the super-user.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQ_GETQUOTA\fR\fR
-.ad
-.RS 14n
-Get disk quota limits and current usage for user \fIuid\fR. \fIaddr\fR is a
-pointer to a \fBdqblk\fR structure (defined in \fB<sys/fs/ufs_quota.h>\fR).
+.Ed
+.Pp
+.Fa op
+indicates an operation to be applied to the user
+.Sy ID
+.Fa uid .
+.Po
+See below.
+.Pc
+.Fa addr
+is the address of an optional, command specific, data
+structure which is copied in or out of the system.
+The interpretation of
+.Fa addr
+is given with each value of
+.Fa op
+below.
+.Bl -tag -width Q_GETQUOTA
+.It Sy Q_QUOTAON
+Turn on quotas for a file system.
+.Fa addr
+points to the full pathname of the
+.Pa quotas
+file.
+.Fa uid
+is ignored.
+It is recommended that
+.Fa uid
+have the value of
+.Sy 0 .
+This call is restricted to the super-user.
+.It Dv Q_QUOTAOFF
+Turn off quotas for a file system.
+.Fa addr
+and
+.Fa uid
+are ignored.
+It is
+recommended that
+.Fa addr
+have the value of
+.Sy NULL
+and
+.Fa uid
+have the value of
+.Sy 0 .
+This call is restricted to the super-user.
+.It Dv Q_GETQUOTA
+Get disk quota limits and current usage for user
+.Fa uid .
+.Fa addr
+is a pointer to a
+.Vt dqblk
+structure
+.Po
+defined in
+.In sys/fs/ufs_quota.h
+.Pc .
 Only the super-user may get the quotas of a user other than himself.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQ_SETQUOTA\fR\fR
-.ad
-.RS 14n
-Set disk quota limits and current usage for user \fIuid\fR. \fIaddr\fR is a
-pointer to a \fBdqblk\fR structure (defined in \fBsys/fs/ufs_quota.h\fR). This
-call is restricted to the super-user.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQ_SETQLIM\fR\fR
-.ad
-.RS 14n
-Set disk quota limits for user \fIuid\fR. \fIaddr\fR is a pointer to a
-\fBdqblk\fR structure (defined in \fBsys/fs/ufs_quota.h\fR). This call is
-restricted to the super-user.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQ_SYNC\fR\fR
-.ad
-.RS 14n
-Update the on-disk copy of quota usages for this file system. \fIaddr\fR and
-\fIuid\fR are ignored.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBQ_ALLSYNC\fR\fR
-.ad
-.RS 14n
+.It Dv Q_SETQUOTA
+Set disk quota limits and current usage for user
+.Fa uid .
+.Fa addr
+is a pointer to a
+.Vt dqblk
+structure
+.Po
+defined in
+.In sys/fs/ufs_quota.h
+.Pc .
+This call is restricted to the super-user.
+.It Dv Q_SETQLIM
+Set disk quota limits for user
+.Fa uid .
+.Fa addr
+is a pointer to a
+.Vt dqblk
+structure
+.Po
+defined in
+.In sys/fs/ufs_quota.h
+.Pc .
+This call is restricted to the super-user.
+.It Dv Q_SYNC
+Update the on-disk copy of quota usages for this file system.
+.Fa addr
+and
+.Fa uid
+are ignored.
+.It Dv Q_ALLSYNC
 Update the on-disk copy of quota usages for all file systems with active
-quotas. \fIaddr\fR and \fIuid\fR are ignored.
-.RE
-
-.SH RETURN VALUES
-.sp
-.LP
-This \fBioctl()\fR returns:
-.sp
-.ne 2
-.na
-\fB\fB0\fR\fR
-.ad
-.RS 9n
+quotas.
+.Fa addr
+and
+.Fa uid
+are ignored.
+.El
+.Sh RETURN VALUES
+This
+Fn ioctl
+returns:
+.Bl -tag -width xx
+.It Sy 0
 on success.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB\(mi1\fR\fR
-.ad
-.RS 9n
-on failure and sets \fBerrno\fR to indicate the error.
-.RE
-
-.SH ERRORS
-.sp
-.ne 2
-.na
-\fB\fBEFAULT\fR\fR
-.ad
-.RS 10n
-\fIaddr\fR is invalid.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEINVAL\fR\fR
-.ad
-.RS 10n
-The kernel has not been compiled with the \fBQUOTA\fR option. \fIop\fR is
-invalid.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENOENT\fR\fR
-.ad
-.RS 10n
-The \fBquotas\fR file specified by \fIaddr\fR does not exist.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEPERM\fR\fR
-.ad
-.RS 10n
+.It Sy \(mi1
+on failure and sets
+.Va errno
+to indicate the error.
+.El
+.Sh FILES
+.Bl -tag -width x
+.It Pa /usr/include/sys/fs/ufs_quota.h
+quota-related structure/function definitions and defines
+.El
+.Sh ERRORS
+.Bl -tag -width EFAULT
+.It Er EFAULT
+.Fa addr
+is invalid.
+.It Er EINVAL
+The kernel has not been compiled with the
+.Sy QUOTA
+option.
+.Fa op
+is invalid.
+.It Er ENOENT
+The
+.Pa quotas
+file specified by
+.Fa addr
+does not exist.
+.It Er EPERM
 The call is privileged and the calling process did not assert
-{PRIV_SYS_MOUNT} in the effective set.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBESRCH\fR\fR
-.ad
-.RS 10n
-No disk quota is found for the indicated user. Quotas have not been turned on
-for this file system.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEUSERS\fR\fR
-.ad
-.RS 10n
+.Brq Sy PRIV_SYS_MOUNT
+in the effective set.
+.It Er ESRCH
+No disk quota is found for the indicated user.
+Quotas have not been turned on for this file system.
+.It Er EUSERS
 The quota table is full.
-.RE
-
-.sp
-.LP
-If \fIop\fR is \fBQ_QUOTAON\fR, \fBioctl()\fR may set \fBerrno\fR to:
-.sp
-.ne 2
-.na
-\fB\fBEACCES\fR\fR
-.ad
-.RS 10n
-The quota file pointed to by \fIaddr\fR exists but is not a regular file. The
-quota file pointed to by \fIaddr\fR exists but is not on the file system
-pointed to by \fIspecial\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBEIO\fR\fR
-.ad
-.RS 10n
-Internal I/O error while attempting to read the \fBquotas\fR file pointed to by
-\fIaddr\fR.
-.RE
-
-.SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/usr/include/sys/fs/ufs_quota.h\fR\fR
-.ad
-.sp .6
-.RS 4n
-quota-related structure/function definitions and defines
-.RE
-
-.SH SEE ALSO
-.sp
-.LP
-\fBquota\fR(1M), \fBquotacheck\fR(1M), \fBquotaon\fR(1M), \fBgetrlimit\fR(2),
-\fBmount\fR(2)
-.SH BUGS
-.sp
-.LP
+.El
+.Pp
+If
+.Fa op
+is
+.Dv Q_QUOTAON ,
+.Fn ioctl
+may set
+.Va errno
+to:
+.Bl -tag -width EACCES
+.It Er EACCES
+The quota file pointed to by
+.Fa addr
+exists but is not a regular file.
+The quota file pointed to by
+.Fa addr
+exists but is not on the file system pointed to by
+.Fa special .
+.It Er EIO
+Internal I/O error while attempting to read the
+.Pa quotas
+file pointed to by
+.Fa addr .
+.El
+.Sh SEE ALSO
+.Xr quota 1M ,
+.Xr quotacheck 1M ,
+.Xr quotaon 1M ,
+.Xr getrlimit 2 ,
+.Xr mount 2
+.Sh BUGS
 There should be some way to integrate this call with the resource limit
-interface provided by \fBsetrlimit()\fR and \fBgetrlimit\fR(2).
-.sp
-.LP
+interface provided by
+.Xr setrlimit 2
+and
+.Xr getrlimit 2 .
+.Pp
 This call is incompatible with Melbourne quotas.